Advisory Details

June 8th, 2023

(Pwn2Own) Samsung Galaxy S22 McsWebViewActivity Permissive List of Allowed Inputs Remote Code Execution Vulnerability

ZDI-23-843
ZDI-CAN-19699

CVE ID
CVSS SCORE 8.8, (AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H)
AFFECTED VENDORS Samsung
AFFECTED PRODUCTS Galaxy S22
VULNERABILITY DETAILS

This vulnerability allows remote attackers to execute arbitrary code on affected installations of Samsung Galaxy S22 smartphones. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the McsWebViewActivity class. The issue results from a permissive list of allowed inputs. An attacker can leverage this vulnerability to execute code in the context of the current user.

ADDITIONAL DETAILS

Patched in the December 2022 Galaxy Store server-side update.


DISCLOSURE TIMELINE
  • 2023-01-24 - Vulnerability reported to vendor
  • 2023-06-08 - Coordinated public release of advisory
CREDIT Nguyen Tien Giang (@testanull), Nguyen Hoang Thach (@hi_im_d4rkn3ss) of STAR Labs SG Pte. Ltd.
BACK TO ADVISORIES